---
title: ChannelMergerNode()
slug: Web/API/ChannelMergerNode/ChannelMergerNode
tags:
  - API
  - Audio
  - ChannelMergerNode
  - Constructor
  - Reference
  - Web Audio API
---
<p>{{APIRef("Web Audio API")}}</p>

<p>The <code><strong>ChannelMergerNode()</strong></code> constructor creates a new {{domxref("ChannelMergerNode")}} object instance.</p>

<h2 id="Syntax">Syntax</h2>

<pre>var myNode = new ChannelMergerNode(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><em>context</em></dt>
 <dd>A {{domxref("BaseAudioContext")}} representing the audio context you want the node to be associated with.</dd>
 <dt><em>options</em> {{optional_inline}}</dt>
 <dd>A <code><a href="https://webaudio.github.io/web-audio-api/#idl-def-ChannelMergerOptions">ChannelMergerOptions</a></code> dictionary object defining the properties you want the <code>ChannelMergerNode</code> to have (also inherits parameters from the {{domxref("AudioNodeOptions")}} dictionary):
 <ul>
  <li><code>numberOfInputs</code>: A number defining the number of inputs the {{domxref("ChannelMergerNode")}} should have. If not specified, the default value used is 6.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new {{domxref("ChannelMergerNode")}} object instance.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>InvalidStateError</code></dt>
 <dd>An option such as <code>channelCount</code> or <code>channelCountMode</code> has been given an invalid value.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre>var ac = new AudioContext();

var options = {
  numberOfInputs : 2
}

var myMerger = new ChannelMergerNode(ac, options);</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#channelmergernode','ChannelMergerNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.ChannelMergerNode.ChannelMergerNode")}}</p>
